# Class: Transform

## Konva. Transform

#### new Transform(m)

  Transform constructor

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `m` | Array | <optional> | Optional six-element matrix

  Source:
    - konva-v5.2.0.js, line 742

### Methods

#### copy() → {Konva.Transform}

  Copy Konva.Transform object

  Source:
    - konva-v5.2.0.js, line 753

  ##### Returns:

  Type
    Konva.Transform

#### getMatrix()

  return matrix

  Source:
    - konva-v5.2.0.js, line 901

#### getTranslation() → {Object}

  Returns the translation

  Source:
    - konva-v5.2.0.js, line 824

  ##### Returns:

  2D point(x, y)

  Type
    Object

#### invert() → {Konva.Transform}

  Invert the matrix

  Source:
    - konva-v5.2.0.js, line 880

  ##### Returns:

  Type
    Konva.Transform

#### multiply(matrix) → {Konva.Transform}

  Transform multiplication

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `matrix` | Konva.Transform |

  Source:
    - konva-v5.2.0.js, line 856

  ##### Returns:

  Type
    Konva.Transform

#### point(point) → {Object}

  Transform point

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `point` | Object | 2D point(x, y)

  Source:
    - konva-v5.2.0.js, line 763

  ##### Returns:

  2D point(x, y)

  Type
    Object

#### rotate(rad) → {Konva.Transform}

  Apply rotation

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `rad` | Number | Angle in radians

  Source:
    - konva-v5.2.0.js, line 805

  ##### Returns:

  Type
    Konva.Transform

#### scale(sx, sy) → {Konva.Transform}

  Apply scale

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `sx` | Number |
  `sy` | Number |

  Source:
    - konva-v5.2.0.js, line 791

  ##### Returns:

  Type
    Konva.Transform

#### setAbsolutePosition() → {Konva.Transform}

  set to absolute position via translation

  Author:
    - ericdrowell
  Source:
    - konva-v5.2.0.js, line 911

  ##### Returns:

  Type
    Konva.Transform

#### skew(sx, sy) → {Konva.Transform}

  Apply skew

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `sx` | Number |
  `sy` | Number |

  Source:
    - konva-v5.2.0.js, line 838

  ##### Returns:

  Type
    Konva.Transform

#### translate(x, y) → {Konva.Transform}

  Apply translation

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `x` | Number |
  `y` | Number |

  Source:
    - konva-v5.2.0.js, line 778

  ##### Returns:

  Type
    Konva.Transform